GET /api/v3/place/{placeId}/group

Retrieves all place group memberships for a specific place

GetPlaceGroupsV3 Permissions: BuildingsAndOrganizations (View)
Use this endpoint to see which place groups a place belongs to. Returns both manual and automatic group memberships. For managing group membership, use PUT /place/{placeId}/group.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
placeId Unique numeric identifier of the place integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

PlaceGroupResponse
Property Description Type
autoGroup Indicates if this place group is an autogroup boolean
lastUpdated The last time a member was inserted, updated, or deleted from the group string (date-time)
placeGroupCategory PlaceGroupCategoryChild
PlaceGroupCategoryChild properties
Property Description Type
placeGroupCategoryCode The short code for the place group category string
placeGroupCategoryId The unique identifier for the place group category integer (int32)
placeGroupCategoryInfo The display name for the place group category string
placeGroupCode The place group code string
placeGroupId The place group identifier integer (int32)
placeGroupInfo The place group info string
userDefinedAutoGroup Indicates if this place group is an user defined auto group boolean
Example Response application/json
[
  {    "autoGroup": false,    "lastUpdated": "2026-06-29",    "placeGroupCategory": {      "placeGroupCategoryCode": "string",      "placeGroupCategoryId": 1,      "placeGroupCategoryInfo": "string"
    },    "placeGroupCode": "string",    "placeGroupId": 1,    "placeGroupInfo": "string",    "userDefinedAutoGroup": false
  }
]
404 Not Found The requested resource was not found. Verify the ID or path is correct.